SecurityTracker.com
Keep Track of the Latest Vulnerabilities
with SecurityTracker!
    Home    |    View Topics    |    Search    |    Contact Us    |   

SecurityTracker
Archives


Try our Premium Alert Service
 
Sign Up
Sign Up for Your FREE Weekly SecurityTracker E-mail Alert Summary
Instant Alerts
Buy our Premium Vulnerability Notification Service to receive customized, instant alerts
Affiliates
Put SecurityTracker Vulnerability Alerts on Your Web Site -- It's Free!
Partners
Become a Partner and License Our Database or Notification Service





Category:   Application (Web Server/CGI)  >   Apache mod_rewrite Vendors:   Apache Software Foundation
Apache mod_rewrite Off-by-one Error Lets Remote Users Execute Arbitrary Code
SecurityTracker Alert ID:  1016601
SecurityTracker URL:  http://securitytracker.com/id/1016601
CVE Reference:   CVE-2006-3747   (Links to External Site)
Date:  Jul 28 2006
Impact:   Denial of service via network, Execution of arbitrary code via network, User access via network
Fix Available:  Yes  Vendor Confirmed:  Yes  
Version(s): prior to 1.3.37, 2.0.59
Description:   A vulnerability was reported in Apache in the Rewrite module. A remote user may be able to execute arbitrary code on the target system.

A remote user can trigger an off-by-one error in the processing of certain types of Rewrite rules to cause web server processes to crash or potentially execute arbitrary code.

The impact depends on the manner in which Apache httpd was compiled.

Impact:   A remote user can execute arbitrary code on the target system.
Solution:   The vendor has issued a fixed version (1.3.37, 2.0.59), available at:

http://httpd.apache.org/

Vendor URL:  httpd.apache.org/ (Links to External Site)
Cause:   Boundary error
Underlying OS:  Linux (Any), UNIX (Any), Windows (Any)

Message History:   This archive entry has one or more follow-up message(s) listed below.
Jul 30 2006 (OpenBSD Issues Fix) Apache mod_rewrite Off-by-one Error Lets Remote Users Execute Arbitrary Code
OpenBSD has issued a fix for OpenBSD 3.8 and 3.9.
Aug 11 2006 (IBM Issues Fix) Apache mod_rewrite Off-by-one Error Lets Remote Users Execute Arbitrary Code
IBM has issued a fix for IBM HTTP Server.
Sep 1 2006 (HP Issues Fix for HP-UX) Apache mod_rewrite Off-by-one Error Lets Remote Users Execute Arbitrary Code
HP has issued a fix for HP-UX 11.00, 11.11, 11.23.
Oct 12 2006 (Sun Issues Fix) Apache mod_rewrite Off-by-one Error Lets Remote Users Execute Arbitrary Code
Sun has issued a fix for Solaris 10.
Aug 6 2007 (HP Issues Fix for HP System Management Homepage) Apache mod_rewrite Off-by-one Error Lets Remote Users Execute Arbitrary Code
HP has issued a fix for HP System Management Homepage, which is affected by this Apache vulnerability.
Apr 18 2008 (HP Issues Fix for OpenView) Apache mod_rewrite Off-by-one Error Lets Remote Users Execute Arbitrary Code
HP has issued a fix for OpenView Network Node Manager.



 Source Message Contents



[Original Message Not Available for Viewing]


Go to the Top of This SecurityTracker Archive Page





Home   |    View Topics   |    Search   |    Contact Us

This web site uses cookies for web analytics. Learn More

Copyright 2018, SecurityGlobal.net LLC